%define major 5
%define libname %mklibname otr %{major}
%define libnamedev %mklibname -d otr

Summary:	Off-The-Record Messaging library and toolkit
Name:		libotr
Version:	4.1.1
Release:	%mkrel 1
License:	LGPL/GPL
Group:		Networking/Instant messaging
URL:		http://www.cypherpunks.ca/otr/
Source0:	http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}gcrypt-devel >= 1.2.0

%description
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%package	-n %{libname}
Summary:	Off-The-Record Messaging library and toolkit
Group:		Networking/Instant messaging
License:	LGPL
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%package	-n %{libnamedev}
Summary:	Development related files of %{name}
Group:		Networking/Instant messaging
License:	LGPL
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: 	%mklibname -d otr 2

%description	-n %{libnamedev}
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging. This package contains development related files of %{name}.

%package	utils
Summary:	Helper utilities of %{name}
Group:		Networking/Instant messaging
License:	GPL
Requires:	%{libname} = %{version}

%description	utils
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging. This package contains various helper utilities from %{name}.

%prep
%setup -q

%build
%configure2_5x --with-pic
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot}%{_libdir} -name *.la -delete

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog INSTALL Protocol-v3.html NEWS README
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc

%files utils
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Thu Mar 10 2016 ghostbunny <ghostbunny at gmx dot de> 4.1.1-1pclos2016
- 4.1.1

* Tue Jul 16 2013 billybot <billybot> 4.0.0-1pclos2013
- update

* Tue Jun 16 2009 Texstar <texstar@gmail.com> 3.2.0-1pclos2009
- 3.2.0

* Thu Aug 22 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 3.1.0-1pclos2007
- 3.1.0

* Mon May 14 2007 Texstar <texstar@gmail.com> 3.0.0-1pclos2007
- import into pclos 2007
